qpid::sys::ExceptionHolder Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions
qpid::sys::ExceptionHolder Class Reference

Holder for exceptions. More...

`#include <qpid/sys/ExceptionHolder.h>`

List of all members.

## Classes
struct | Wrapper
## Public Member Functions
| ExceptionHolder ()
template<class Ex >
| ExceptionHolder (Ex *ex)
| Take ownership of ex.
template<class Ex >
ExceptionHolder & | operator= (Ex *ex)
void | raise () const
std::string | what () const
bool | empty () const
| operator bool () const
void | reset ()

## Detailed Description

Holder for exceptions.

Allows the thread that notices an error condition to create an exception and store it to be thrown by another thread.

## Constructor & Destructor Documentation

qpid::sys::ExceptionHolder::ExceptionHolder | ( |  | ) | `[inline]`

Definition at line 43 of file ExceptionHolder.h.

template<class Ex >

qpid::sys::ExceptionHolder::ExceptionHolder | ( | Ex * | ex | ) | `[inline]`

Take ownership of ex.

Definition at line 47 of file ExceptionHolder.h.

## Member Function Documentation

bool qpid::sys::ExceptionHolder::empty | ( |  | ) | const`[inline]`

Definition at line 52 of file ExceptionHolder.h.

Referenced by operator bool().

qpid::sys::ExceptionHolder::operator bool | ( |  | ) | const`[inline]`

Definition at line 53 of file ExceptionHolder.h.

References empty().

template<class Ex >

ExceptionHolder& qpid::sys::ExceptionHolder::operator= | ( | Ex * | ex | ) | `[inline]`

Definition at line 48 of file ExceptionHolder.h.

void qpid::sys::ExceptionHolder::raise | ( |  | ) | const`[inline, virtual]`

Implements qpid::sys::Raisable.

Definition at line 50 of file ExceptionHolder.h.

void qpid::sys::ExceptionHolder::reset | ( |  | ) | `[inline]`

Definition at line 54 of file ExceptionHolder.h.

std::string qpid::sys::ExceptionHolder::what | ( |  | ) | const`[inline, virtual]`

Implements qpid::sys::Raisable.

Definition at line 51 of file ExceptionHolder.h.

The documentation for this class was generated from the following file:

- qpid/sys/ExceptionHolder.h